Bug 113607 - kernel bug page_alloc.c Oops 0002 0000
kernel bug page_alloc.c Oops 0002 0000
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-15 14:27 EST by Gert Dewit
Modified: 2007-04-18 13:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An Oops 0002 example (2.16 KB, text/plain)
2004-01-15 14:29 EST, Gert Dewit
no flags Details
A page_alloc.c:139 example (2.34 KB, text/plain)
2004-01-15 14:33 EST, Gert Dewit
no flags Details
A page_alloc.c:117 example (2.37 KB, text/plain)
2004-01-15 14:36 EST, Gert Dewit
no flags Details

  None (edit)
Description Gert Dewit 2004-01-15 14:27:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.2.1)
Gecko/20030225

Description of problem:
I had 324 "kernel: Oops" messages from Jan 11 12:24:23 till Jan 15
20:01:46, 89 "kernel BUG at page_alloc.c:139" messages and 10 "kernel
BUG at page_alloc.c:117!"

This is a http server, Pentium 4 CPU 2.80GHz, 1.5 Gb RAM

I looked at bug 110837 but that one seems to be smp specific ... maybe
not and bug 92334 but that's an athlon system getting mostly other
kernel BUGS.

Excerpts of the /var/log/messages file will be attached ASAP

Version-Release number of selected component (if applicable):
kernel-2.4.20-27.9

How reproducible:
Didn't try

Steps to Reproduce:
1. boot the machine
2. depending on the load the machine hangs after 2 hours to 12 hours
average

    

Actual Results:  lock up

Expected Results:  keep running ;-)

Additional info:

Jan 11 12:24:23 rsca kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000074
Jan 11 12:24:23 rsca kernel:  printing eip:
Jan 11 12:24:23 rsca kernel: c014466b
Jan 11 12:24:23 rsca kernel: *pde = 00000000
Jan 11 12:24:23 rsca kernel: Oops: 0000
Jan 11 12:24:23 rsca kernel: autofs 3c59x ext3 jbd
Jan 11 12:24:23 rsca kernel: CPU:    0
Jan 11 12:24:23 rsca kernel: EIP:    0060:[<c014466b>]    Not tainted
Jan 11 12:24:23 rsca kernel: EFLAGS: 00010202
Jan 11 12:24:23 rsca kernel:
Jan 11 12:24:23 rsca kernel: EIP is at page_referenced [kernel] 0x21b
(2.4.20-27.9)
Jan 11 12:24:23 rsca kernel: eax: c21cd228   ebx: 0000035c   ecx:
00000000   edx: 00000001
Jan 11 12:24:23 rsca kernel: esi: 00000002   edi: f69b3d00   ebp:
0000001c   esp: f7fc1f84
Jan 11 12:24:23 rsca kernel: ds: 0068   es: 0068   ss: 0068
Jan 11 12:24:23 rsca kernel: Process kscand/HighMem (pid: 7,
stackpage=f7fc1000)Jan 11 12:24:23 rsca kernel: Stack: f64e0700
00000000 0000001d f7fc1fb4 c24c7c78 c24c7c78 c03111cc c24c7c5c
Jan 11 12:24:23 rsca kernel:        00000003 c013cb5e f7fc0000
c0125dc0 00000001 00000003 f7fc0000 c0311000
Jan 11 12:24:23 rsca kernel:        f7fc0000 c013dd94 c0311000
00000003 00000000 c0261ccf 000009c4 c013dca0
Jan 11 12:24:23 rsca kernel: Call Trace:   [<c013cb5e>]
scan_active_list [kernel] 0x3e (0xf7fc1fa8))
Jan 11 12:24:23 rsca kernel: [<c0125dc0>] process_timeout [kernel] 0x0
(0xf7fc1fb0))
Jan 11 12:24:23 rsca kernel: [<c013dd94>] kscand [kernel] 0xf4
(0xf7fc1fc8))
Jan 11 12:24:23 rsca kernel: [<c013dca0>] kscand [kernel] 0x0
(0xf7fc1fe0))
Jan 11 12:24:23 rsca kernel: [<c010742d>] kernel_thread_helper
[kernel] 0x5 (0xf7fc1ff0))
Jan 11 12:24:23 rsca kernel:
Jan 11 12:24:23 rsca kernel:
Jan 11 12:24:23 rsca kernel: Code: 8b 41 74 39 41 60 0f 43 54 24 04 45
4e 89 54
24 04 0f 89 3e
Jan 11 13:23:37 rsca ftpd[20540]: wu-ftpd - TLS settings: control
allow, client_cert allow, data allow
Jan 11 13:23:37 rsca ftpd[20540]: getpeername (in.ftpd): Transport
endpoint is not connected
Jan 11 14:38:42 rsca kernel:  ------------[ cut here ]------------
Comment 1 Gert Dewit 2004-01-15 14:29:53 EST
Created attachment 97038 [details]
An Oops 0002 example
Comment 2 Gert Dewit 2004-01-15 14:33:29 EST
Created attachment 97039 [details]
A page_alloc.c:139 example
Comment 3 Gert Dewit 2004-01-15 14:36:28 EST
Created attachment 97040 [details]
A page_alloc.c:117 example
Comment 4 Bugzilla owner 2004-09-30 11:41:47 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.